VismaBouwsoftAPICalls.v1_POST_HourGroups Method
v1_POST_HourGroups() as String

This API call is used to add a(n) HourGroup

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /HourGroups
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 50 No Yes No
list_id 1 tpLong 0 No No No
list_name 2 tpString 50 No No No

/HourGroups

API Path: /HourGroups/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/HourGroups

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GbjfWxfUmPzSfVlmbtzRqkGAfUAIIOmAjbrtzUOIlDIGAGGAIl
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: name=’APIHourGroup’,list_id=2

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 16,
    "name": "APIHourGroup",
    "list_id": 2,
    "list_name": "ALGEMEEN"
  }
]
}